aboutsummaryrefslogtreecommitdiff
path: root/integrationtests/common.sh
diff options
context:
space:
mode:
authorTorsten Grote <t@grobox.de>2020-05-07 15:33:43 -0300
committerTorsten Grote <t@grobox.de>2020-05-07 15:33:43 -0300
commit38601a1c63840bc85eae166f771a974e0629db28 (patch)
tree1cba1f2300e4b752ffd8726d9d4b3bf1cd0d61ea /integrationtests/common.sh
parentb7c75bd56a484efcf77210f1541cda67e2a90f61 (diff)
downloadwallet-core-38601a1c63840bc85eae166f771a974e0629db28.tar.xz
Add test for double spending (still fails as expected)
Diffstat (limited to 'integrationtests/common.sh')
-rw-r--r--integrationtests/common.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/integrationtests/common.sh b/integrationtests/common.sh
index 0104dbc9c..4b42531b8 100644
--- a/integrationtests/common.sh
+++ b/integrationtests/common.sh
@@ -14,7 +14,6 @@ function setup_config() {
[[ "$(taler-merchant-httpd -v)" =~ "taler-merchant-httpd v" ]] || exit_skip " MISSING"
echo " FOUND"
- trap shutdown_services ERR
trap shutdown_services EXIT
SCRIPT_NAME=$1
@@ -32,6 +31,9 @@ function setup_config() {
export CONF=test-${SCRIPT_NAME}.conf
cp template.conf "$CONF"
+ export WALLET_DB=wallet-${SCRIPT_NAME}.json
+ rm "$WALLET_DB" 2> /dev/null || true
+
# Clean up
DATA_DIR=$(taler-config -f -c "$CONF" -s PATHS -o TALER_HOME)
rm -rf "$DATA_DIR" || true
@@ -142,6 +144,8 @@ function shutdown_services() {
echo "Final clean up"
dropdb "$TARGET_DB" >/dev/null 2>/dev/null || true
+ rm "$WALLET_DB" 2> /dev/null || true
+
rm -rf "$DATA_DIR" || true
rm "$CONF"
}